Name:           perl-Directory-Queue
Version:        1.8
Release:        6%{?dist}
Summary:        Object oriented interface to a directory based queue
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Directory-Queue/
Source0:        http://search.cpan.org/CPAN/authors/id/L/LC/LCONS/Directory-Queue-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl(Encode)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(No::Worries) >= 0.7
BuildRequires:  perl(Pod::Coverage) >= 0.18
BuildRequires:  perl(POSIX)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Pod) >= 1.22
BuildRequires:  perl(Test::Pod::Coverage) >= 1.08
BuildRequires:  perl(Time::HiRes)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))



%{?perl_default_subpackage_tests}

%description
The goal of this module is to offer a simple queue system using the
underlying file system for storage, security and to prevent race conditions
via atomic operations. It focuses on simplicity, robustness and
scalability.

%prep
%setup -q -n Directory-Queue-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Aug 29 2014 Jitka Plesnikova <jplesnik@redhat.com> - 1.8-6
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jul 25 2013 Petr Pisar <ppisar@redhat.com> - 1.8-3
- Perl 5.18 rebuild

* Mon May 27 2013 Massimo Paladin <massimo.paladin@gmail.com> - 1.8-2
- rebuilt

* Wed May 22 2013 Massimo Paladin <massimo.paladin@gmail.com> - 1.8-1
- Update to 1.8 rhbz#965604.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Nov 20 2012 Massimo Paladin <massimo.paladin@gmail.com> - 1.7-1
- Update to 1.7 rhbz#877951.

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jun 12 2012 Petr Pisar <ppisar@redhat.com> - 1.6-2
- Perl 5.16 rebuild

* Sat Jun 9 2012 Steve Traylen <steve.traylen@cern.ch> - 1.6-1
- Update to 1.6 rhbz#828689

* Sat Jan 28 2012 Steve Traylen <steve.traylen@cern.ch> - 1.5-1
- Update to 1.5 rhbz#785073.

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Dec 8 2011 Steve Traylen <steve.traylen@cern.ch> - 1.4-1
- Update 1.4 rhbz#760472.

* Tue Aug 30 2011 Steve Traylen <steve.traylen@cern.ch> - 1.2-1
- Update 1.2 rhbz#73941.

* Mon Jun 20 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.1-2
- Perl mass rebuild

* Mon May 2 2011 Steve Traylen <steve.traylen@cern.ch> 1.1-1
- New upstream 1.1.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Dec 16 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.0-3
- 661697 rebuild for fixing problems with vendorach/lib

* Tue Aug 31 2010 Steve Traylen <steve.traylen@cern.ch> 1.0-2
- perl(Time::HiRes) needed explicity on el4 and el6? 
  Just buildrequire it everywhere.

* Tue Aug 31 2010 Steve Traylen <steve.traylen@cern.ch> 1.0-1
- New upstream 1.0.

* Sun Jun 27 2010 Steve Traylen <steve.traylen@cern.ch> 0.5-3
- Rebuilt due to cvs mistake.

* Sun Jun 27 2010 Steve Traylen <steve.traylen@cern.ch> 0.5-2
- Explicit perl(Time::HiRes) br on EL4 added.

* Mon Jun 21 2010 Steve Traylen <steve.traylen@cern.ch> 0.5-1
- Specfile autogenerated by cpanspec 1.78.
- Add tests rpm generation  macro.
- Change PERL_INSTALL_DIR for DESTDIR.
- Add br perl(Test::Pod::Coverage) and perl(Test::Pod)
- Remove r of perl(Test::More)

